Bug 1664230 - Miss the downstream image for the embed image: "quay.io/operatorframework/configmap-operator-registry". [NEEDINFO]
Summary: Miss the downstream image for the embed image: "quay.io/operatorframework/con...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.0
Assignee: Evan Cordell
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-08 06:49 UTC by Jian Zhang
Modified: 2019-06-04 10:41 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:41:43 UTC
Target Upstream Version:
jiazha: needinfo? (ecordell)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:41:49 UTC

Comment 4 Jian Zhang 2019-02-01 06:02:28 UTC
Evan,

> There may be some lag time before this is using the right image for OSE, but OKD should be good now.

Thanks! I change status to "MODIFIED" since it isn't ready for OCP.

One more question, how to check this image already based on the RHEL?
I want to check the "/etc/redhat-release" info but failed.

[root@dhcp-140-18 ~]# docker run --rm -ti --entrypoint="" quay.io/operatorframework/configmap-operator-registry:latest cat /etc/redhat-release
/usr/bin/docker-current: Error response from daemon: oci runtime error: container_linux.go:247: starting container process caused "exec: \"cat\": executable file not found in $PATH".
mac:ocp-31 jianzhang$ oc cp openshift-operators/installed-community-global-operators-7hq4f:/etc/redhat-release .
exec failed: container_linux.go:336: starting container process caused "exec: \"tar\": executable file not found in $PATH"
error: etc/redhat-release no such file or directory

Comment 5 Tim Bielawa 2019-02-04 14:32:26 UTC
Joel will take over on this bug now and see to it that it is added to our build data.

Comment 9 Tim Bielawa 2019-02-13 16:02:24 UTC
From conversation on slack just now


Nick Hale   [10 minutes ago]
Iā€™m pretty sure for downstream all binaries are being built into the `operator-registry` image.

Nick Hale   [3 minutes ago]
yup just double-checked and our `image-references` configures a swap out for references of `quay.io/operatorframework/configmap-operator-registry:latest` with the image stream for `operator-registry`


ART is building operator-registry already from Dockerfile in https://github.com/operator-framework/operator-registry


Moving this bug back to OLM.

Comment 15 errata-xmlrpc 2019-06-04 10:41:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.